Summary:	An archive plugin for the Thunar File Manager
Name:		thunar-archive-plugin
Version:	0.5.2
Release: 	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
#newer source from 
URL:		https://github.com/andreldm/thunar-archive-plugin.git
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
BuildRequires:	 lib64glib2.0-devel
BuildRequires:	 lib64gtk+3.0-devel
BuildRequires:	 lib64exo-devel
BuildRequires:	 lib64thunarx-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Provides:	%{name} = %{version}
Obsoletes:	%name < %version
Requires:	thunar

%description
The thunar-archive-plugin is a plugin for the Thunar File Manager, which
adds archive operations to the file context menus. Using this plugin you
will be able to extract and create archive files from within Thunar using
a single click.
The plugin now supports a variety of archive managers through a generic
interface, that requires the archive manager to install a .desktop file
as usual, that lists the supported mime types, and a .tap file that acts
as a wrapper script to invoke the archive manager with the appropriate
parameters for the create, extract-here and extract-to actions.
Wrapper scripts for file-roller (the GNOME archive manager) and ark (the
KDE archive manager) have been added. Xarchiver, the Xfce archive manager,
will include an appropriate xarchiver.tap file in the next release. 

%prep
%setup -q
%autopatch -p1


%build
autoreconf -fiv

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/thunarx-3/*
%{_libexecdir}/%{name}/ark.tap
%{_libexecdir}/%{name}/org.kde.ark.tap
%{_libexecdir}/%{name}/file-roller.tap
%{_libexecdir}/%{name}/gnome-file-roller.tap
%{_libexecdir}/%{name}/org.gnome.FileRoller.tap
%{_libexecdir}/%{name}/mate-engrampa.tap
%{_libexecdir}/%{name}/engrampa.tap
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Tue Nov 21 2023 tex - 0.5.2-1pclos2023
- new version

* Fri Apr 07 2023 tex - 0.5.1-1pclos2023
- new version

* Mon Aug 22 2022 tex -  0.5.0-1pclos2022
- new version

* Fri Nov 22 2019 tex - 0.4.0-11pclos2019
- rebuild against updates

* Wed Aug 14 2019 onkelho <oh.quait at gmail.com> - 0.4.0-10pclos2019
- new rebuild xfce-4.14

* Mon Jul 29 2019 onkelho <oh.quait at gmail.com> - 0.4.0-9pclos2019
- new ver-rel 4.14pre3

* Tue May 21 2019 onkelho <oh.quait at gmail.com> 0.4.0-8pclos2019
- rebuild for pre-rel 4.14.-pre1

* Mon Jan 28 2019 onkelho <oh.quait at gmail.com> 0.4.0-7pclos2018
- rebuild 

* Sun Dec 16 2018 onkelho <oh.quait at gmail.com> 0.4.0-6pclos2018
- rebuild

* Tue Oct 30 2018 onkelho <oh.quait at gmail.com> 0.4.0-5pclos2018
- rebuild - Replace AC_PROG_LIBTOOL with IT_PROG_INTLTOOL
- Add support for archive manager for MATE
- updates xfconf-rel->> rebuilded libxfce4ui->> exo->> thunar

* Wed Oct 12 2018 onkelho <oh.quait at gmail.com> 0.4.0-4pclos2018
- rebuild against thunar-1.8.2

* Wed Jul 25 2018 onkelho <oh.quait at gmail.com> 0.4.0-3pclos2018
- rebuild against thunar-1.8.1

* Tue May 01 2018 onkelho <oh.quait at gmail.com> 0.4.0-2pclos2018
- rebuild

* Tue Mar 06 2018 onkelho <oh.quait at gmail.com> 0.4.0-1pclos2018
- new version-release

* Fri Dec 01 2017 onkelho <oh.quait at gmail.com> 0.3.1-7pclos2017
- rebuild

* Sat Sep 23 2017 onkelho <oh.quait at gmail.com> 0.3.1-6pclos2017
- rebuild --many i18updates

* Sun Feb 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.3.1-2pclos2015
- add new symlink for the support of file-roller > 3.12.0
- remove unwanted .la file
- add missing BR gettext-devel, libpthread-stubs, gtk2-devel, glib2-devel
- add an update-desktop-database to the post scriptlet to get the supported and installed
  archive managers available to the plugin

* Sat May 11 2013 ghostbunny <ghostbunny at gmx dot de> 0.3.1-1pclos2013
- 0.3.1
- added BR intltool, exo-devel

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.3.0-2pclos2012
- rebuild

* Thu Mar 24 2011 Sproggy <desproggster at gmail.com> 0.3.0-1pclos2011
- update xfce 4.8

